> ## Documentation Index
> Fetch the complete documentation index at: https://docs.enfuce.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get tokens for a given cardId

> This operation returns list of tokens for a given card Id. The response consists of Token Unique Reference ID,  Token Requestor ID, Wallet Provider (Apple/Google/Samsung/M4M), and Token status.




## OpenAPI

````yaml wallet get /v1/card/{cardId}/tokens
openapi: 3.0.3
info:
  version: '1'
  title: Wallet operations
  contact:
    name: Enfuce Financial Services
    url: https://enfuce.com
    email: info@enfuce.com
  x-logo:
    url: resources/enfuce.svg
    altText: Enfuce logo
  description: >
    Wallet API enables getting needed data for tokenization and enablement in
    programs like

    Apple Pay and Google Pay, and Visa Click to Pay.


    #### Terms used

    <table>
      <tr>
        <th>Term</th>
        <th>Definition</th>
      <tr>
        <td>Customer</td>
        <td>End customer using financial institution's mobile application</td>
      </tr>
      <tr>
        <td>In-app activation</td>
        <td>Wallet provisioning using financial institution app as authentication method</td>
      </tr>
      <tr>
        <td>In-app provisioning</td>
        <td>Mastercard's term for push provisioning</td>
      </tr>
      <tr>
        <td>Push provisioning</td>
        <td>VISA's term for pushing card details from within mobile application. This term will be used in this document</td>
      </tr>
      <tr>
        <td>Wallet provider</td>
        <td>Such as Apple Pay, Google Pay or Samsung Pay </td>
      </tr>
    </table>


    It's called in two cases:

    - *Push provisioning* - this is usually done within issuers own application
    and card holder does

    not need to enter any information. Then the different endpoints for push
    provisioning must be used.

    - *In-app activation* - activating a card by manually adding information,
    then endpoint for generate activation

    data must be used after authentication of end customer is completed.


    ![ Provisioning example
    ](https://enfuce-public-resources.s3.eu-central-1.amazonaws.com/public/wallet_push_prov.svg)


    In above case the difference between push provisioning and in-app activation
    is which endpoint that is

    called in step 3.

    Note that diagram above is a simplification of full flow in order to explain
    it from a developer point of view.
servers:
  - url: >-
      https://integration-api-cat2.{{environment}}.ext.{{realm}}.cia.enfuce.com/wallet
  - url: https://integration-api-cat2.live.ext.prod.cia.enfuce.com/wallet
    description: Live environment
security: []
tags:
  - name: Push Provision
  - name: Activation data
  - name: Get tokens
  - name: Visa Click2Pay Enrol and Manage
  - name: Token Management
paths:
  /v1/card/{cardId}/tokens:
    get:
      tags:
        - Get tokens
      summary: Get tokens for a given cardId
      description: >
        This operation returns list of tokens for a given card Id. The response
        consists of Token Unique Reference ID,  Token Requestor ID, Wallet
        Provider (Apple/Google/Samsung/M4M), and Token status.
      operationId: getTokens
      parameters:
        - name: auditUser
          in: query
          description: The audit user to log the request
          required: true
          schema:
            type: string
        - name: cardId
          in: path
          description: CardId for given card
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Successful lookup of tokens for given card id
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/cardTokenResponse'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '404':
          description: The cardid that you are using does not exists
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/errorResponse'
      deprecated: false
components:
  schemas:
    cardTokenResponse:
      type: object
      properties:
        tokenUniqueReferenceId:
          type: string
          description: Token unique reference id
        tokenRequestorId:
          type: string
          description: >-
            Identifier used by merchants and wallet providers to request tokens
            from the TSP
        tokenNumber:
          type: string
          description: Scheme assigned token number.
        tokenId:
          type: string
          format: bigint
          description: >-
            Enfuce generated token ID from the scheme provided message. This ID
            is used within Enfuce systems for tracking, support, and operational
            purposes.
        walletProvider:
          type: string
          description: Wallet provider name
        status:
          type: string
          enum:
            - ACTIVE
            - DEACTIVATED
            - INACTIVE
            - SUSPENDED
            - SOFTDELETED
          description: |
            - ACTIVE - Available for payments
            - DEACTIVATED - Permanently deactivated
            - INACTIVE - Waiting for activation
            - SUSPENDED - Temporarily not available for payments
            - SOFTDELETED - Deleted from consumer device
    errorResponse:
      type: object
      properties:
        code:
          type: string
          description: An error code indicating what kind of error. I.e. HTTP error code
        message:
          type: string
          description: Error message in human-readable format
        id:
          type: string
          format: uuid
          description: Unique error identifier
        errorCode:
          type: string
          description: Enfuce code for a specific error type
        errorType:
          type: string
          description: Error type
          enum:
            - STATIC_VALIDATION_ERROR
            - DYNAMIC_VALIDATION_ERROR
            - INTEGRATION_ERROR
            - SECURITY_ERROR
            - UNEXPECTED_ERROR
        errorReason:
          type: string
          description: Free-form text explaining the error reason
        timestamp:
          type: string
          format: date-time
          description: Datetime when error occurred

````